diff --git a/CHANGELOG.md b/CHANGELOG.md
index eb02b413..7362dbba 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -4,4 +4,38 @@
 - 升级 Spring boot 2.4.4 。
 - 升级 Swagger 3.0.0 。
 - 升级 commons-pool2 2.9.0 。
-- 
\ No newline at end of file
+- 升级 mapstruct 1.4.2.Final 。
+- 升级 druid 1.2.6 。
+- 升级 fastjson 1.2.76 。
+- 优化数据库脚本。
+- 替换容器，tomcat -> undertow 。
+
+## 升级过程中遇到的问题及解决方法
+
+### 执行数据库脚本报异常
+
+MySQL 中 int，bigint 等类型不需要写长度数字。将 int(8) 这类内容改为 int。
+
+### 跨域配置问题
+
+> When allowCredentials is true, allowedOrigins cannot contain the special value "*“since that cannot be set on the “Access-Control-Allow-Origin” response header. To allow credentials to a set of origins, list them explicitly or consider using"allowedOriginPatterns” instead.
+
+修改如下代码：
+
+```java
+    @Bean
+    public CorsFilter corsFilter() {
+        UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();
+        CorsConfiguration config = new CorsConfiguration();
+        config.setAllowCredentials(true);
+      // 增加这一行代码
+        config.addAllowedOriginPattern("*");
+      // 注释掉这一行代码
+//        config.addAllowedOrigin("*");
+        config.addAllowedHeader("*");
+        config.addAllowedMethod("*");
+        source.registerCorsConfiguration("/**", config);
+        return new CorsFilter(source);
+    }
+```
+
diff --git a/eladmin-common/pom.xml b/eladmin-common/pom.xml
index 52682052..c807baba 100644
--- a/eladmin-common/pom.xml
+++ b/eladmin-common/pom.xml
@@ -10,6 +10,7 @@
     <modelVersion>4.0.0</modelVersion>
     <properties>
         <hutool.version>5.3.4</hutool.version>
+        <guava.version>30.1.1-jre</guava.version>
     </properties>
 
     <artifactId>eladmin-common</artifactId>
@@ -22,5 +23,14 @@
             <artifactId>hutool-all</artifactId>
             <version>${hutool.version}</version>
         </dependency>
+        <dependency>
+            <groupId>com.google.guava</groupId>
+            <artifactId>guava</artifactId>
+            <version>${guava.version}</version>
+        </dependency>
+        <dependency>
+            <groupId>org.hibernate.validator</groupId>
+            <artifactId>hibernate-validator</artifactId>
+        </dependency>
     </dependencies>
 </project>
\ No newline at end of file
diff --git a/eladmin-common/src/main/java/me/zhengjie/config/SwaggerConfig.java b/eladmin-common/src/main/java/me/zhengjie/config/SwaggerConfig.java
index 50343bcb..ffa4fda8 100644
--- a/eladmin-common/src/main/java/me/zhengjie/config/SwaggerConfig.java
+++ b/eladmin-common/src/main/java/me/zhengjie/config/SwaggerConfig.java
@@ -16,7 +16,6 @@
 package me.zhengjie.config;
 
 import com.fasterxml.classmate.TypeResolver;
-import com.google.common.base.Predicates;
 import io.swagger.annotations.ApiModel;
 import io.swagger.annotations.ApiModelProperty;
 import lombok.Data;
@@ -27,15 +26,22 @@ import org.springframework.core.Ordered;
 import org.springframework.data.domain.Pageable;
 import springfox.documentation.builders.ApiInfoBuilder;
 import springfox.documentation.builders.PathSelectors;
+import springfox.documentation.oas.annotations.EnableOpenApi;
 import springfox.documentation.schema.AlternateTypeRule;
 import springfox.documentation.schema.AlternateTypeRuleConvention;
-import springfox.documentation.service.*;
+import springfox.documentation.service.ApiInfo;
+import springfox.documentation.service.ApiKey;
+import springfox.documentation.service.AuthorizationScope;
+import springfox.documentation.service.SecurityReference;
+import springfox.documentation.service.SecurityScheme;
 import springfox.documentation.spi.DocumentationType;
 import springfox.documentation.spi.service.contexts.SecurityContext;
 import springfox.documentation.spring.web.plugins.Docket;
-import springfox.documentation.swagger2.annotations.EnableSwagger2;
+
 import java.util.ArrayList;
 import java.util.List;
+import java.util.function.Predicate;
+
 import static com.google.common.collect.Lists.newArrayList;
 import static springfox.documentation.schema.AlternateTypeRules.newRule;
 
@@ -45,7 +51,7 @@ import static springfox.documentation.schema.AlternateTypeRules.newRule;
  * @date 2018-11-23
  */
 @Configuration
-@EnableSwagger2
+@EnableOpenApi
 public class SwaggerConfig {
 
     @Value("${jwt.header}")
@@ -57,12 +63,12 @@ public class SwaggerConfig {
     @Bean
     @SuppressWarnings("all")
     public Docket createRestApi() {
-        return new Docket(DocumentationType.SWAGGER_2)
+        return new Docket(DocumentationType.OAS_30)
                 .enable(enabled)
                 .pathMapping("/")
                 .apiInfo(apiInfo())
                 .select()
-                .paths(Predicates.not(PathSelectors.regex("/error.*")))
+                .paths(Predicate.not(PathSelectors.regex("/error.*")))
                 .paths(PathSelectors.any())
                 .build()
                 //添加登陆认证
@@ -74,7 +80,7 @@ public class SwaggerConfig {
         return new ApiInfoBuilder()
                 .description("一个简单且易上手的 Spring boot 后台管理框架")
                 .title("EL-ADMIN 接口文档")
-                .version("2.6")
+                .version("2.7")
                 .build();
     }
 
diff --git a/eladmin-common/src/test/java/me/zhengjie/utils/DateUtilsTest.java b/eladmin-common/src/test/java/me/zhengjie/utils/DateUtilsTest.java
index 4f28ed37..e270e2ca 100644
--- a/eladmin-common/src/test/java/me/zhengjie/utils/DateUtilsTest.java
+++ b/eladmin-common/src/test/java/me/zhengjie/utils/DateUtilsTest.java
@@ -1,6 +1,7 @@
 package me.zhengjie.utils;
 
-import org.junit.Test;
+
+import org.junit.jupiter.api.Test;
 
 import java.time.LocalDateTime;
 import java.util.Date;
diff --git a/eladmin-common/src/test/java/me/zhengjie/utils/EncryptUtilsTest.java b/eladmin-common/src/test/java/me/zhengjie/utils/EncryptUtilsTest.java
index f909d9db..6b9bb0a2 100644
--- a/eladmin-common/src/test/java/me/zhengjie/utils/EncryptUtilsTest.java
+++ b/eladmin-common/src/test/java/me/zhengjie/utils/EncryptUtilsTest.java
@@ -1,8 +1,10 @@
 package me.zhengjie.utils;
 
-import org.junit.Test;
-import static org.junit.Assert.*;
-import static me.zhengjie.utils.EncryptUtils.*;
+import org.junit.jupiter.api.Test;
+
+import static me.zhengjie.utils.EncryptUtils.desDecrypt;
+import static me.zhengjie.utils.EncryptUtils.desEncrypt;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
 public class EncryptUtilsTest {
 
diff --git a/eladmin-common/src/test/java/me/zhengjie/utils/FileUtilTest.java b/eladmin-common/src/test/java/me/zhengjie/utils/FileUtilTest.java
index f069c158..48e06bd7 100644
--- a/eladmin-common/src/test/java/me/zhengjie/utils/FileUtilTest.java
+++ b/eladmin-common/src/test/java/me/zhengjie/utils/FileUtilTest.java
@@ -1,10 +1,10 @@
 package me.zhengjie.utils;
 
-import org.junit.Test;
+import org.junit.jupiter.api.Test;
 import org.springframework.mock.web.MockMultipartFile;
 
-import static org.junit.Assert.*;
 import static me.zhengjie.utils.FileUtil.*;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
 public class FileUtilTest {
 
diff --git a/eladmin-common/src/test/java/me/zhengjie/utils/StringUtilsTest.java b/eladmin-common/src/test/java/me/zhengjie/utils/StringUtilsTest.java
index 12e875a8..376841a7 100644
--- a/eladmin-common/src/test/java/me/zhengjie/utils/StringUtilsTest.java
+++ b/eladmin-common/src/test/java/me/zhengjie/utils/StringUtilsTest.java
@@ -1,13 +1,14 @@
 package me.zhengjie.utils;
 
-import org.junit.Test;
+import org.junit.jupiter.api.Test;
 import org.springframework.mock.web.MockHttpServletRequest;
 
 import java.text.SimpleDateFormat;
-import java.util.*;
+import java.util.Date;
 
 import static me.zhengjie.utils.StringUtils.*;
-import static org.junit.Assert.*;
+import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertNull;
 
 public class StringUtilsTest {
 
diff --git a/eladmin-system/src/main/java/me/zhengjie/AppRun.java b/eladmin-system/src/main/java/me/zhengjie/AppRun.java
index ed244064..d784c57c 100644
--- a/eladmin-system/src/main/java/me/zhengjie/AppRun.java
+++ b/eladmin-system/src/main/java/me/zhengjie/AppRun.java
@@ -20,8 +20,6 @@ import me.zhengjie.annotation.rest.AnonymousGetMapping;
 import me.zhengjie.utils.SpringContextHolder;
 import org.springframework.boot.SpringApplication;
 import org.springframework.boot.autoconfigure.SpringBootApplication;
-import org.springframework.boot.web.embedded.tomcat.TomcatServletWebServerFactory;
-import org.springframework.boot.web.servlet.server.ServletWebServerFactory;
 import org.springframework.context.annotation.Bean;
 import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
 import org.springframework.scheduling.annotation.EnableAsync;
@@ -51,12 +49,13 @@ public class AppRun {
         return new SpringContextHolder();
     }
 
-    @Bean
-    public ServletWebServerFactory webServerFactory() {
-        TomcatServletWebServerFactory fa = new TomcatServletWebServerFactory();
-        fa.addConnectorCustomizers(connector -> connector.setProperty("relaxedQueryChars", "[]{}"));
-        return fa;
-    }
+    // 最新的tomcat不允许查询参数中包含[]{}字符，如果不用 tomcat 注释掉该行就行。
+//    @Bean
+//    public ServletWebServerFactory webServerFactory() {
+//        TomcatServletWebServerFactory fa = new TomcatServletWebServerFactory();
+//        fa.addConnectorCustomizers(connector -> connector.setProperty("relaxedQueryChars", "[]{}"));
+//        return fa;
+//    }
 
     /**
      * 访问首页提示
diff --git a/eladmin-system/src/main/java/me/zhengjie/config/ConfigurerAdapter.java b/eladmin-system/src/main/java/me/zhengjie/config/ConfigurerAdapter.java
index e76512b7..8d6f4e42 100644
--- a/eladmin-system/src/main/java/me/zhengjie/config/ConfigurerAdapter.java
+++ b/eladmin-system/src/main/java/me/zhengjie/config/ConfigurerAdapter.java
@@ -25,6 +25,7 @@ import org.springframework.http.converter.HttpMessageConverter;
 import org.springframework.web.cors.CorsConfiguration;
 import org.springframework.web.cors.UrlBasedCorsConfigurationSource;
 import org.springframework.web.filter.CorsFilter;
+import org.springframework.web.servlet.config.annotation.CorsRegistry;
 import org.springframework.web.servlet.config.annotation.EnableWebMvc;
 import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
 import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
@@ -54,7 +55,8 @@ public class ConfigurerAdapter implements WebMvcConfigurer {
         UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();
         CorsConfiguration config = new CorsConfiguration();
         config.setAllowCredentials(true);
-        config.addAllowedOrigin("*");
+        config.addAllowedOriginPattern("*");
+//        config.addAllowedOrigin("*");
         config.addAllowedHeader("*");
         config.addAllowedMethod("*");
         source.registerCorsConfiguration("/**", config);
diff --git a/eladmin-system/src/main/resources/banner.txt b/eladmin-system/src/main/resources/banner.txt
index d0f401a8..2dc3c966 100644
--- a/eladmin-system/src/main/resources/banner.txt
+++ b/eladmin-system/src/main/resources/banner.txt
@@ -5,4 +5,4 @@
  |  __| |     | (_| | (_| | | | | | | | | | |
   \___|_|      \__,_|\__,_|_| |_| |_|_|_| |_|
 
- :: Spring Boot ::       (v2.1.0.RELEASE)
\ No newline at end of file
+ :: Spring Boot ::       (v2.4.4)
\ No newline at end of file
diff --git a/eladmin-system/src/test/java/me/zhengjie/EladminSystemApplicationTests.java b/eladmin-system/src/test/java/me/zhengjie/EladminSystemApplicationTests.java
index 45d52120..21de72b0 100644
--- a/eladmin-system/src/test/java/me/zhengjie/EladminSystemApplicationTests.java
+++ b/eladmin-system/src/test/java/me/zhengjie/EladminSystemApplicationTests.java
@@ -1,11 +1,9 @@
 package me.zhengjie;
 
-import org.junit.Test;
-import org.junit.runner.RunWith;
+import org.junit.jupiter.api.Test;
 import org.springframework.boot.test.context.SpringBootTest;
-import org.springframework.test.context.junit4.SpringRunner;
 
-@RunWith(SpringRunner.class)
+//@RunWith(SpringRunner.class)
 @SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
 public class EladminSystemApplicationTests {
 
diff --git a/eladmin-system/src/test/java/me/zhengjie/LoginCacheTest.java b/eladmin-system/src/test/java/me/zhengjie/LoginCacheTest.java
index 4d7f55c8..076d1c51 100644
--- a/eladmin-system/src/test/java/me/zhengjie/LoginCacheTest.java
+++ b/eladmin-system/src/test/java/me/zhengjie/LoginCacheTest.java
@@ -1,14 +1,15 @@
 package me.zhengjie;
 
 import me.zhengjie.modules.security.service.UserDetailsServiceImpl;
-import org.junit.Test;
-import org.junit.runner.RunWith;
+import org.junit.jupiter.api.Test;
+import org.junit.jupiter.api.extension.ExtendWith;
 import org.springframework.boot.test.context.SpringBootTest;
-import org.springframework.test.context.junit4.SpringRunner;
+import org.springframework.test.context.junit.jupiter.SpringExtension;
+
 import javax.annotation.Resource;
 
-@RunWith(SpringRunner.class)
-@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
+@ExtendWith(SpringExtension.class)
+@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT, classes = AppRun.class)
 public class LoginCacheTest {
 
     @Resource(name = "userDetailsService")
diff --git a/pom.xml b/pom.xml
index e310931e..41a468c7 100644
--- a/pom.xml
+++ b/pom.xml
@@ -32,10 +32,10 @@
         <java.version>11</java.version>
         <log4jdbc.version>1.16</log4jdbc.version>
         <swagger.version>3.0.0</swagger.version>
-        <fastjson.version>1.2.70</fastjson.version>
-        <druid.version>1.1.24</druid.version>
+        <fastjson.version>1.2.76</fastjson.version>
+        <druid.version>1.2.6</druid.version>
         <commons-pool2.version>2.9.0</commons-pool2.version>
-        <mapstruct.version>1.3.1.Final</mapstruct.version>
+        <mapstruct.version>1.4.2.Final</mapstruct.version>
     </properties>
 
     <dependencies>
@@ -49,6 +49,16 @@
         <dependency>
             <groupId>org.springframework.boot</groupId>
             <artifactId>spring-boot-starter-web</artifactId>
+            <exclusions>
+                <exclusion>
+                    <groupId>org.springframework.boot</groupId>
+                    <artifactId>spring-boot-starter-tomcat</artifactId>
+                </exclusion>
+            </exclusions>
+        </dependency>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-undertow</artifactId>
         </dependency>
 
         <!--Spring boot 测试-->
diff --git a/sql/eladmin.sql b/sql/eladmin.sql
index 00234d29..7d304a20 100644
--- a/sql/eladmin.sql
+++ b/sql/eladmin.sql
@@ -22,62 +22,62 @@ SET FOREIGN_KEY_CHECKS = 0;
 -- ----------------------------
 DROP TABLE IF EXISTS `code_column_config`;
 CREATE TABLE `code_column_config` (
-  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `table_name` varchar(255) DEFAULT NULL,
-  `column_name` varchar(255) DEFAULT NULL,
-  `column_type` varchar(255) DEFAULT NULL,
-  `dict_name` varchar(255) DEFAULT NULL,
-  `extra` varchar(255) DEFAULT NULL,
-  `form_show` bit(1) DEFAULT NULL,
-  `form_type` varchar(255) DEFAULT NULL,
-  `key_type` varchar(255) DEFAULT NULL,
-  `list_show` bit(1) DEFAULT NULL,
-  `not_null` bit(1) DEFAULT NULL,
-  `query_type` varchar(255) DEFAULT NULL,
-  `remark` varchar(255) DEFAULT NULL,
-  `date_annotation` varchar(255) DEFAULT NULL,
-  PRIMARY KEY (`column_id`) USING BTREE,
-  KEY `idx_table_name` (`table_name`)
-) ENGINE=InnoDB AUTO_INCREMENT=191 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='代码生成字段信息存储';
+    `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `table_name` varchar(255) DEFAULT NULL,
+    `column_name` varchar(255) DEFAULT NULL,
+    `column_type` varchar(255) DEFAULT NULL,
+    `dict_name` varchar(255) DEFAULT NULL,
+    `extra` varchar(255) DEFAULT NULL,
+    `form_show` bit(1) DEFAULT NULL,
+    `form_type` varchar(255) DEFAULT NULL,
+    `key_type` varchar(255) DEFAULT NULL,
+    `list_show` bit(1) DEFAULT NULL,
+    `not_null` bit(1) DEFAULT NULL,
+    `query_type` varchar(255) DEFAULT NULL,
+    `remark` varchar(255) DEFAULT NULL,
+    `date_annotation` varchar(255) DEFAULT NULL,
+    PRIMARY KEY (`column_id`) USING BTREE,
+    KEY `idx_table_name` (`table_name`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=191 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='代码生成字段信息存储';
 
 -- ----------------------------
 -- Table structure for code_gen_config
 -- ----------------------------
 DROP TABLE IF EXISTS `code_gen_config`;
 CREATE TABLE `code_gen_config` (
-  `config_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `table_name` varchar(255) DEFAULT NULL COMMENT '表名',
-  `author` varchar(255) DEFAULT NULL COMMENT '作者',
-  `cover` bit(1) DEFAULT NULL COMMENT '是否覆盖',
-  `module_name` varchar(255) DEFAULT NULL COMMENT '模块名称',
-  `pack` varchar(255) DEFAULT NULL COMMENT '至于哪个包下',
-  `path` varchar(255) DEFAULT NULL COMMENT '前端代码生成的路径',
-  `api_path` varchar(255) DEFAULT NULL COMMENT '前端Api文件路径',
-  `prefix` varchar(255) DEFAULT NULL COMMENT '表前缀',
-  `api_alias` varchar(255) DEFAULT NULL COMMENT '接口名称',
-  PRIMARY KEY (`config_id`) USING BTREE,
-  KEY `idx_table_name` (`table_name`(100))
-) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='代码生成器配置';
+    `config_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `table_name` varchar(255) DEFAULT NULL COMMENT '表名',
+    `author` varchar(255) DEFAULT NULL COMMENT '作者',
+    `cover` bit(1) DEFAULT NULL COMMENT '是否覆盖',
+    `module_name` varchar(255) DEFAULT NULL COMMENT '模块名称',
+    `pack` varchar(255) DEFAULT NULL COMMENT '至于哪个包下',
+    `path` varchar(255) DEFAULT NULL COMMENT '前端代码生成的路径',
+    `api_path` varchar(255) DEFAULT NULL COMMENT '前端Api文件路径',
+    `prefix` varchar(255) DEFAULT NULL COMMENT '表前缀',
+    `api_alias` varchar(255) DEFAULT NULL COMMENT '接口名称',
+    PRIMARY KEY (`config_id`) USING BTREE,
+    KEY `idx_table_name` (`table_name`(100))
+    ) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='代码生成器配置';
 
 -- ----------------------------
 -- Table structure for mnt_app
 -- ----------------------------
 DROP TABLE IF EXISTS `mnt_app`;
 CREATE TABLE `mnt_app` (
-  `app_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `name` varchar(255) DEFAULT NULL COMMENT '应用名称',
-  `upload_path` varchar(255) DEFAULT NULL COMMENT '上传目录',
-  `deploy_path` varchar(255) DEFAULT NULL COMMENT '部署路径',
-  `backup_path` varchar(255) DEFAULT NULL COMMENT '备份路径',
-  `port` int(255) DEFAULT NULL COMMENT '应用端口',
-  `start_script` varchar(4000) DEFAULT NULL COMMENT '启动脚本',
-  `deploy_script` varchar(4000) DEFAULT NULL COMMENT '部署脚本',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`app_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='应用管理';
+    `app_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `name` varchar(255) DEFAULT NULL COMMENT '应用名称',
+    `upload_path` varchar(255) DEFAULT NULL COMMENT '上传目录',
+    `deploy_path` varchar(255) DEFAULT NULL COMMENT '部署路径',
+    `backup_path` varchar(255) DEFAULT NULL COMMENT '备份路径',
+    `port` int DEFAULT NULL COMMENT '应用端口',
+    `start_script` varchar(4000) DEFAULT NULL COMMENT '启动脚本',
+    `deploy_script` varchar(4000) DEFAULT NULL COMMENT '部署脚本',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`app_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='应用管理';
 
 -- ----------------------------
 -- Records of mnt_app
@@ -90,17 +90,17 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `mnt_database`;
 CREATE TABLE `mnt_database` (
-  `db_id` varchar(50) NOT NULL COMMENT 'ID',
-  `name` varchar(255) NOT NULL COMMENT '名称',
-  `jdbc_url` varchar(255) NOT NULL COMMENT 'jdbc连接',
-  `user_name` varchar(255) NOT NULL COMMENT '账号',
-  `pwd` varchar(255) NOT NULL COMMENT '密码',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`db_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='数据库管理';
+    `db_id` varchar(50) NOT NULL COMMENT 'ID',
+    `name` varchar(255) NOT NULL COMMENT '名称',
+    `jdbc_url` varchar(255) NOT NULL COMMENT 'jdbc连接',
+    `user_name` varchar(255) NOT NULL COMMENT '账号',
+    `pwd` varchar(255) NOT NULL COMMENT '密码',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建时间',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`db_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='数据库管理';
 
 -- ----------------------------
 -- Records of mnt_database
@@ -113,15 +113,15 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `mnt_deploy`;
 CREATE TABLE `mnt_deploy` (
-  `deploy_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `app_id` bigint(20) DEFAULT NULL COMMENT '应用编号',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL,
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`deploy_id`) USING BTREE,
-  KEY `FK6sy157pseoxx4fmcqr1vnvvhy` (`app_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='部署管理';
+    `deploy_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `app_id` bigint DEFAULT NULL COMMENT '应用编号',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL,
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`deploy_id`) USING BTREE,
+    KEY `FK6sy157pseoxx4fmcqr1vnvvhy` (`app_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='部署管理';
 
 -- ----------------------------
 -- Records of mnt_deploy
@@ -134,14 +134,14 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `mnt_deploy_history`;
 CREATE TABLE `mnt_deploy_history` (
-  `history_id` varchar(50) NOT NULL COMMENT 'ID',
-  `app_name` varchar(255) NOT NULL COMMENT '应用名称',
-  `deploy_date` datetime NOT NULL COMMENT '部署日期',
-  `deploy_user` varchar(50) NOT NULL COMMENT '部署用户',
-  `ip` varchar(20) NOT NULL COMMENT '服务器IP',
-  `deploy_id` bigint(20) DEFAULT NULL COMMENT '部署编号',
-  PRIMARY KEY (`history_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='部署历史管理';
+    `history_id` varchar(50) NOT NULL COMMENT 'ID',
+    `app_name` varchar(255) NOT NULL COMMENT '应用名称',
+    `deploy_date` datetime NOT NULL COMMENT '部署日期',
+    `deploy_user` varchar(50) NOT NULL COMMENT '部署用户',
+    `ip` varchar(20) NOT NULL COMMENT '服务器IP',
+    `deploy_id` bigint(20) DEFAULT NULL COMMENT '部署编号',
+    PRIMARY KEY (`history_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='部署历史管理';
 
 -- ----------------------------
 -- Records of mnt_deploy_history
@@ -154,11 +154,11 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `mnt_deploy_server`;
 CREATE TABLE `mnt_deploy_server` (
-  `deploy_id` bigint(20) NOT NULL COMMENT '部署ID',
-  `server_id` bigint(20) NOT NULL COMMENT '服务ID',
-  PRIMARY KEY (`deploy_id`,`server_id`) USING BTREE,
-  KEY `FKeaaha7jew9a02b3bk9ghols53` (`server_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='应用与服务器关联';
+    `deploy_id` bigint NOT NULL COMMENT '部署ID',
+    `server_id` bigint NOT NULL COMMENT '服务ID',
+    PRIMARY KEY (`deploy_id`,`server_id`) USING BTREE,
+    KEY `FKeaaha7jew9a02b3bk9ghols53` (`server_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='应用与服务器关联';
 
 -- ----------------------------
 -- Records of mnt_deploy_server
@@ -171,39 +171,39 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `mnt_server`;
 CREATE TABLE `mnt_server` (
-  `server_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `account` varchar(50) DEFAULT NULL COMMENT '账号',
-  `ip` varchar(20) DEFAULT NULL COMMENT 'IP地址',
-  `name` varchar(100) DEFAULT NULL COMMENT '名称',
-  `password` varchar(100) DEFAULT NULL COMMENT '密码',
-  `port` int(11) DEFAULT NULL COMMENT '端口',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`server_id`) USING BTREE,
-  KEY `idx_ip` (`ip`)
-) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='服务器管理';
+    `server_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `account` varchar(50) DEFAULT NULL COMMENT '账号',
+    `ip` varchar(20) DEFAULT NULL COMMENT 'IP地址',
+    `name` varchar(100) DEFAULT NULL COMMENT '名称',
+    `password` varchar(100) DEFAULT NULL COMMENT '密码',
+    `port` int DEFAULT NULL COMMENT '端口',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建时间',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`server_id`) USING BTREE,
+    KEY `idx_ip` (`ip`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='服务器管理';
 
 -- ----------------------------
 -- Table structure for sys_dept
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_dept`;
 CREATE TABLE `sys_dept` (
-  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `pid` bigint(20) DEFAULT NULL COMMENT '上级部门',
-  `sub_count` int(5) DEFAULT 0 COMMENT '子部门数目',
-  `name` varchar(255) NOT NULL COMMENT '名称',
-  `dept_sort` int(5) DEFAULT 999 COMMENT '排序',
-  `enabled` bit(1) NOT NULL COMMENT '状态',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`dept_id`) USING BTREE,
-  KEY `inx_pid` (`pid`),
-  KEY `inx_enabled` (`enabled`)
-) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='部门';
+    `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `pid` bigint DEFAULT NULL COMMENT '上级部门',
+    `sub_count` int DEFAULT 0 COMMENT '子部门数目',
+    `name` varchar(255) NOT NULL COMMENT '名称',
+    `dept_sort` int DEFAULT 999 COMMENT '排序',
+    `enabled` bit(1) NOT NULL COMMENT '状态',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`dept_id`) USING BTREE,
+    KEY `inx_pid` (`pid`),
+    KEY `inx_enabled` (`enabled`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='部门';
 
 -- ----------------------------
 -- Records of sys_dept
@@ -223,15 +223,15 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_dict`;
 CREATE TABLE `sys_dict` (
-  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `name` varchar(255) NOT NULL COMMENT '字典名称',
-  `description` varchar(255) DEFAULT NULL COMMENT '描述',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`dict_id`) USING BTREE
-) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='数据字典';
+    `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `name` varchar(255) NOT NULL COMMENT '字典名称',
+    `description` varchar(255) DEFAULT NULL COMMENT '描述',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`dict_id`) USING BTREE
+    ) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='数据字典';
 
 -- ----------------------------
 -- Records of sys_dict
@@ -247,18 +247,18 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_dict_detail`;
 CREATE TABLE `sys_dict_detail` (
-  `detail_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `dict_id` bigint(11) DEFAULT NULL COMMENT '字典id',
-  `label` varchar(255) NOT NULL COMMENT '字典标签',
-  `value` varchar(255) NOT NULL COMMENT '字典值',
-  `dict_sort` int(5) DEFAULT NULL COMMENT '排序',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`detail_id`) USING BTREE,
-  KEY `FK5tpkputc6d9nboxojdbgnpmyb` (`dict_id`) USING BTREE
-) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='数据字典详情';
+    `detail_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `dict_id` bigint DEFAULT NULL COMMENT '字典id',
+    `label` varchar(255) NOT NULL COMMENT '字典标签',
+    `value` varchar(255) NOT NULL COMMENT '字典值',
+    `dict_sort` int DEFAULT NULL COMMENT '排序',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`detail_id`) USING BTREE,
+    KEY `FK5tpkputc6d9nboxojdbgnpmyb` (`dict_id`) USING BTREE
+    ) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='数据字典详情';
 
 -- ----------------------------
 -- Records of sys_dict_detail
@@ -277,18 +277,18 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_job`;
 CREATE TABLE `sys_job` (
-  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `name` varchar(255) NOT NULL COMMENT '岗位名称',
-  `enabled` bit(1) NOT NULL COMMENT '岗位状态',
-  `job_sort` int(5) DEFAULT NULL COMMENT '排序',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`job_id`) USING BTREE,
-  UNIQUE KEY `uniq_name` (`name`),
-  KEY `inx_enabled` (`enabled`)
-) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='岗位';
+    `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `name` varchar(255) NOT NULL COMMENT '岗位名称',
+    `enabled` bit(1) NOT NULL COMMENT '岗位状态',
+    `job_sort` int DEFAULT NULL COMMENT '排序',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`job_id`) USING BTREE,
+    UNIQUE KEY `uniq_name` (`name`),
+    KEY `inx_enabled` (`enabled`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='岗位';
 
 -- ----------------------------
 -- Records of sys_job
@@ -305,51 +305,51 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_log`;
 CREATE TABLE `sys_log` (
-  `log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `description` varchar(255) DEFAULT NULL,
-  `log_type` varchar(255) DEFAULT NULL,
-  `method` varchar(255) DEFAULT NULL,
-  `params` text DEFAULT NULL,
-  `request_ip` varchar(255) DEFAULT NULL,
-  `time` bigint(20) DEFAULT NULL,
-  `username` varchar(255) DEFAULT NULL,
-  `address` varchar(255) DEFAULT NULL,
-  `browser` varchar(255) DEFAULT NULL,
-  `exception_detail` text DEFAULT NULL,
-  `create_time` datetime DEFAULT NULL,
-  PRIMARY KEY (`log_id`) USING BTREE,
-  KEY `log_create_time_index` (`create_time`),
-  KEY `inx_log_type` (`log_type`)
-) ENGINE=InnoDB AUTO_INCREMENT=3537 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='系统日志';
+    `log_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `description` varchar(255) DEFAULT NULL,
+    `log_type` varchar(255) DEFAULT NULL,
+    `method` varchar(255) DEFAULT NULL,
+    `params` text DEFAULT NULL,
+    `request_ip` varchar(255) DEFAULT NULL,
+    `time` bigint DEFAULT NULL,
+    `username` varchar(255) DEFAULT NULL,
+    `address` varchar(255) DEFAULT NULL,
+    `browser` varchar(255) DEFAULT NULL,
+    `exception_detail` text DEFAULT NULL,
+    `create_time` datetime DEFAULT NULL,
+    PRIMARY KEY (`log_id`) USING BTREE,
+    KEY `log_create_time_index` (`create_time`),
+    KEY `inx_log_type` (`log_type`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=3537 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='系统日志';
 
 -- ----------------------------
 -- Table structure for sys_menu
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_menu`;
 CREATE TABLE `sys_menu` (
-  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `pid` bigint(20) DEFAULT NULL COMMENT '上级菜单ID',
-  `sub_count` int(5) DEFAULT 0 COMMENT '子菜单数目',
-  `type` int(11) DEFAULT NULL COMMENT '菜单类型',
-  `title` varchar(255) DEFAULT NULL COMMENT '菜单标题',
-  `name` varchar(255) DEFAULT NULL COMMENT '组件名称',
-  `component` varchar(255) DEFAULT NULL COMMENT '组件',
-  `menu_sort` int(5) DEFAULT NULL COMMENT '排序',
-  `icon` varchar(255) DEFAULT NULL COMMENT '图标',
-  `path` varchar(255) DEFAULT NULL COMMENT '链接地址',
-  `i_frame` bit(1) DEFAULT NULL COMMENT '是否外链',
-  `cache` bit(1) DEFAULT b'0' COMMENT '缓存',
-  `hidden` bit(1) DEFAULT b'0' COMMENT '隐藏',
-  `permission` varchar(255) DEFAULT NULL COMMENT '权限',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`menu_id`) USING BTREE,
-  UNIQUE KEY `uniq_title` (`title`),
-  UNIQUE KEY `uniq_name` (`name`),
-  KEY `inx_pid` (`pid`)
-) ENGINE=InnoDB AUTO_INCREMENT=118 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='系统菜单';
+    `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `pid` bigint DEFAULT NULL COMMENT '上级菜单ID',
+    `sub_count` int DEFAULT 0 COMMENT '子菜单数目',
+    `type` int DEFAULT NULL COMMENT '菜单类型',
+    `title` varchar(255) DEFAULT NULL COMMENT '菜单标题',
+    `name` varchar(255) DEFAULT NULL COMMENT '组件名称',
+    `component` varchar(255) DEFAULT NULL COMMENT '组件',
+    `menu_sort` int DEFAULT NULL COMMENT '排序',
+    `icon` varchar(255) DEFAULT NULL COMMENT '图标',
+    `path` varchar(255) DEFAULT NULL COMMENT '链接地址',
+    `i_frame` bit(1) DEFAULT NULL COMMENT '是否外链',
+    `cache` bit(1) DEFAULT b'0' COMMENT '缓存',
+    `hidden` bit(1) DEFAULT b'0' COMMENT '隐藏',
+    `permission` varchar(255) DEFAULT NULL COMMENT '权限',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`menu_id`) USING BTREE,
+    UNIQUE KEY `uniq_title` (`title`),
+    UNIQUE KEY `uniq_name` (`name`),
+    KEY `inx_pid` (`pid`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=118 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='系统菜单';
 
 -- ----------------------------
 -- Records of sys_menu
@@ -438,25 +438,25 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_quartz_job`;
 CREATE TABLE `sys_quartz_job` (
-  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `bean_name` varchar(255) DEFAULT NULL COMMENT 'Spring Bean名称',
-  `cron_expression` varchar(255) DEFAULT NULL COMMENT 'cron 表达式',
-  `is_pause` bit(1) DEFAULT NULL COMMENT '状态：1暂停、0启用',
-  `job_name` varchar(255) DEFAULT NULL COMMENT '任务名称',
-  `method_name` varchar(255) DEFAULT NULL COMMENT '方法名称',
-  `params` varchar(255) DEFAULT NULL COMMENT '参数',
-  `description` varchar(255) DEFAULT NULL COMMENT '备注',
-  `person_in_charge` varchar(100) DEFAULT NULL COMMENT '负责人',
-  `email` varchar(100) DEFAULT NULL COMMENT '报警邮箱',
-  `sub_task` varchar(100) DEFAULT NULL COMMENT '子任务ID',
-  `pause_after_failure` bit(1) DEFAULT NULL COMMENT '任务失败后是否暂停',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`job_id`) USING BTREE,
-  KEY `inx_is_pause` (`is_pause`)
-) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='定时任务';
+    `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `bean_name` varchar(255) DEFAULT NULL COMMENT 'Spring Bean名称',
+    `cron_expression` varchar(255) DEFAULT NULL COMMENT 'cron 表达式',
+    `is_pause` bit(1) DEFAULT NULL COMMENT '状态：1暂停、0启用',
+    `job_name` varchar(255) DEFAULT NULL COMMENT '任务名称',
+    `method_name` varchar(255) DEFAULT NULL COMMENT '方法名称',
+    `params` varchar(255) DEFAULT NULL COMMENT '参数',
+    `description` varchar(255) DEFAULT NULL COMMENT '备注',
+    `person_in_charge` varchar(100) DEFAULT NULL COMMENT '负责人',
+    `email` varchar(100) DEFAULT NULL COMMENT '报警邮箱',
+    `sub_task` varchar(100) DEFAULT NULL COMMENT '子任务ID',
+    `pause_after_failure` bit(1) DEFAULT NULL COMMENT '任务失败后是否暂停',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`job_id`) USING BTREE,
+    KEY `inx_is_pause` (`is_pause`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='定时任务';
 
 -- ----------------------------
 -- Records of sys_quartz_job
@@ -473,37 +473,37 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_quartz_log`;
 CREATE TABLE `sys_quartz_log` (
-  `log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `bean_name` varchar(255) DEFAULT NULL,
-  `create_time` datetime DEFAULT NULL,
-  `cron_expression` varchar(255) DEFAULT NULL,
-  `exception_detail` text DEFAULT NULL,
-  `is_success` bit(1) DEFAULT NULL,
-  `job_name` varchar(255) DEFAULT NULL,
-  `method_name` varchar(255) DEFAULT NULL,
-  `params` varchar(255) DEFAULT NULL,
-  `time` bigint(20) DEFAULT NULL,
-  PRIMARY KEY (`log_id`) USING BTREE
-) ENGINE=InnoDB AUTO_INCREMENT=151 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='定时任务日志';
+    `log_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `bean_name` varchar(255) DEFAULT NULL,
+    `create_time` datetime DEFAULT NULL,
+    `cron_expression` varchar(255) DEFAULT NULL,
+    `exception_detail` text DEFAULT NULL,
+    `is_success` bit(1) DEFAULT NULL,
+    `job_name` varchar(255) DEFAULT NULL,
+    `method_name` varchar(255) DEFAULT NULL,
+    `params` varchar(255) DEFAULT NULL,
+    `time` bigint(20) DEFAULT NULL,
+    PRIMARY KEY (`log_id`) USING BTREE
+    ) ENGINE=InnoDB AUTO_INCREMENT=151 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='定时任务日志';
 
 -- ----------------------------
 -- Table structure for sys_role
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_role`;
 CREATE TABLE `sys_role` (
-  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `name` varchar(255) NOT NULL COMMENT '名称',
-  `level` int(255) DEFAULT NULL COMMENT '角色级别',
-  `description` varchar(255) DEFAULT NULL COMMENT '描述',
-  `data_scope` varchar(255) DEFAULT NULL COMMENT '数据权限',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`role_id`) USING BTREE,
-  UNIQUE KEY `uniq_name` (`name`),
-  KEY `role_name_index` (`name`)
-) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='角色表';
+    `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `name` varchar(255) NOT NULL COMMENT '名称',
+    `level` int DEFAULT NULL COMMENT '角色级别',
+    `description` varchar(255) DEFAULT NULL COMMENT '描述',
+    `data_scope` varchar(255) DEFAULT NULL COMMENT '数据权限',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`role_id`) USING BTREE,
+    UNIQUE KEY `uniq_name` (`name`),
+    KEY `role_name_index` (`name`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='角色表';
 
 -- ----------------------------
 -- Records of sys_role
@@ -518,22 +518,22 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_roles_depts`;
 CREATE TABLE `sys_roles_depts` (
-  `role_id` bigint(20) NOT NULL,
-  `dept_id` bigint(20) NOT NULL,
-  PRIMARY KEY (`role_id`,`dept_id`) USING BTREE,
-  KEY `FK7qg6itn5ajdoa9h9o78v9ksur` (`dept_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='角色部门关联';
+    `role_id` bigint NOT NULL,
+    `dept_id` bigint NOT NULL,
+    PRIMARY KEY (`role_id`,`dept_id`) USING BTREE,
+    KEY `FK7qg6itn5ajdoa9h9o78v9ksur` (`dept_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='角色部门关联';
 
 -- ----------------------------
 -- Table structure for sys_roles_menus
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_roles_menus`;
 CREATE TABLE `sys_roles_menus` (
-  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
-  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
-  PRIMARY KEY (`menu_id`,`role_id`) USING BTREE,
-  KEY `FKcngg2qadojhi3a651a5adkvbq` (`role_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='角色菜单关联';
+    `menu_id` bigint NOT NULL COMMENT '菜单ID',
+    `role_id` bigint NOT NULL COMMENT '角色ID',
+    PRIMARY KEY (`menu_id`,`role_id`) USING BTREE,
+    KEY `FKcngg2qadojhi3a651a5adkvbq` (`role_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='角色菜单关联';
 
 -- ----------------------------
 -- Records of sys_roles_menus
@@ -647,32 +647,32 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_user`;
 CREATE TABLE `sys_user` (
-  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门名称',
-  `username` varchar(255) DEFAULT NULL COMMENT '用户名',
-  `nick_name` varchar(255) DEFAULT NULL COMMENT '昵称',
-  `gender` varchar(2) DEFAULT NULL COMMENT '性别',
-  `phone` varchar(255) DEFAULT NULL COMMENT '手机号码',
-  `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
-  `avatar_name` varchar(255) DEFAULT NULL COMMENT '头像地址',
-  `avatar_path` varchar(255) DEFAULT NULL COMMENT '头像真实路径',
-  `password` varchar(255) DEFAULT NULL COMMENT '密码',
-  `is_admin` bit(1) DEFAULT b'0' COMMENT '是否为admin账号',
-  `enabled` bigint(20) DEFAULT NULL COMMENT '状态：1启用、0禁用',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `pwd_reset_time` datetime DEFAULT NULL COMMENT '修改密码的时间',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`user_id`) USING BTREE,
-  UNIQUE KEY `UK_kpubos9gc2cvtkb0thktkbkes` (`email`) USING BTREE,
-  UNIQUE KEY `username` (`username`) USING BTREE,
-  UNIQUE KEY `uniq_username` (`username`),
-  UNIQUE KEY `uniq_email` (`email`),
-  KEY `FK5rwmryny6jthaaxkogownknqp` (`dept_id`) USING BTREE,
-  KEY `FKpq2dhypk2qgt68nauh2by22jb` (`avatar_name`) USING BTREE,
-  KEY `inx_enabled` (`enabled`)
-) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='系统用户';
+    `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `dept_id` bigint DEFAULT NULL COMMENT '部门名称',
+    `username` varchar(255) DEFAULT NULL COMMENT '用户名',
+    `nick_name` varchar(255) DEFAULT NULL COMMENT '昵称',
+    `gender` varchar(2) DEFAULT NULL COMMENT '性别',
+    `phone` varchar(255) DEFAULT NULL COMMENT '手机号码',
+    `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
+    `avatar_name` varchar(255) DEFAULT NULL COMMENT '头像地址',
+    `avatar_path` varchar(255) DEFAULT NULL COMMENT '头像真实路径',
+    `password` varchar(255) DEFAULT NULL COMMENT '密码',
+    `is_admin` bit(1) DEFAULT b'0' COMMENT '是否为admin账号',
+    `enabled` bigint DEFAULT NULL COMMENT '状态：1启用、0禁用',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `pwd_reset_time` datetime DEFAULT NULL COMMENT '修改密码的时间',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`user_id`) USING BTREE,
+    UNIQUE KEY `UK_kpubos9gc2cvtkb0thktkbkes` (`email`) USING BTREE,
+    UNIQUE KEY `username` (`username`) USING BTREE,
+    UNIQUE KEY `uniq_username` (`username`),
+    UNIQUE KEY `uniq_email` (`email`),
+    KEY `FK5rwmryny6jthaaxkogownknqp` (`dept_id`) USING BTREE,
+    KEY `FKpq2dhypk2qgt68nauh2by22jb` (`avatar_name`) USING BTREE,
+    KEY `inx_enabled` (`enabled`)
+    ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='系统用户';
 
 -- ----------------------------
 -- Records of sys_user
@@ -687,10 +687,10 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_users_jobs`;
 CREATE TABLE `sys_users_jobs` (
-  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
-  `job_id` bigint(20) NOT NULL COMMENT '岗位ID',
-  PRIMARY KEY (`user_id`,`job_id`)
-) ENGINE=InnoDB DEFAULT CHARSET=utf8;
+    `user_id` bigint NOT NULL COMMENT '用户ID',
+    `job_id` bigint NOT NULL COMMENT '岗位ID',
+    PRIMARY KEY (`user_id`,`job_id`)
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
 
 -- ----------------------------
 -- Records of sys_users_jobs
@@ -705,11 +705,11 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `sys_users_roles`;
 CREATE TABLE `sys_users_roles` (
-  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
-  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
-  PRIMARY KEY (`user_id`,`role_id`) USING BTREE,
-  KEY `FKq4eq273l04bpu4efj0jd0jb98` (`role_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='用户角色关联';
+    `user_id` bigint NOT NULL COMMENT '用户ID',
+    `role_id` bigint NOT NULL COMMENT '角色ID',
+    PRIMARY KEY (`user_id`,`role_id`) USING BTREE,
+    KEY `FKq4eq273l04bpu4efj0jd0jb98` (`role_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='用户角色关联';
 
 -- ----------------------------
 -- Records of sys_users_roles
@@ -724,19 +724,19 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `tool_alipay_config`;
 CREATE TABLE `tool_alipay_config` (
-  `config_id` bigint(20) NOT NULL COMMENT 'ID',
-  `app_id` varchar(255) DEFAULT NULL COMMENT '应用ID',
-  `charset` varchar(255) DEFAULT NULL COMMENT '编码',
-  `format` varchar(255) DEFAULT NULL COMMENT '类型 固定格式json',
-  `gateway_url` varchar(255) DEFAULT NULL COMMENT '网关地址',
-  `notify_url` varchar(255) DEFAULT NULL COMMENT '异步回调',
-  `private_key` text DEFAULT NULL COMMENT '私钥',
-  `public_key` text DEFAULT NULL COMMENT '公钥',
-  `return_url` varchar(255) DEFAULT NULL COMMENT '回调地址',
-  `sign_type` varchar(255) DEFAULT NULL COMMENT '签名方式',
-  `sys_service_provider_id` varchar(255) DEFAULT NULL COMMENT '商户号',
-  PRIMARY KEY (`config_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='支付宝配置类';
+    `config_id` bigint NOT NULL COMMENT 'ID',
+    `app_id` varchar(255) DEFAULT NULL COMMENT '应用ID',
+    `charset` varchar(255) DEFAULT NULL COMMENT '编码',
+    `format` varchar(255) DEFAULT NULL COMMENT '类型 固定格式json',
+    `gateway_url` varchar(255) DEFAULT NULL COMMENT '网关地址',
+    `notify_url` varchar(255) DEFAULT NULL COMMENT '异步回调',
+    `private_key` text DEFAULT NULL COMMENT '私钥',
+    `public_key` text DEFAULT NULL COMMENT '公钥',
+    `return_url` varchar(255) DEFAULT NULL COMMENT '回调地址',
+    `sign_type` varchar(255) DEFAULT NULL COMMENT '签名方式',
+    `sys_service_provider_id` varchar(255) DEFAULT NULL COMMENT '商户号',
+    PRIMARY KEY (`config_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='支付宝配置类';
 
 -- ----------------------------
 -- Records of tool_alipay_config
@@ -750,33 +750,33 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `tool_email_config`;
 CREATE TABLE `tool_email_config` (
-  `config_id` bigint(20) NOT NULL COMMENT 'ID',
-  `from_user` varchar(255) DEFAULT NULL COMMENT '收件人',
-  `host` varchar(255) DEFAULT NULL COMMENT '邮件服务器SMTP地址',
-  `pass` varchar(255) DEFAULT NULL COMMENT '密码',
-  `port` varchar(255) DEFAULT NULL COMMENT '端口',
-  `user` varchar(255) DEFAULT NULL COMMENT '发件者用户名',
-  PRIMARY KEY (`config_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='邮箱配置';
+    `config_id` bigint NOT NULL COMMENT 'ID',
+    `from_user` varchar(255) DEFAULT NULL COMMENT '收件人',
+    `host` varchar(255) DEFAULT NULL COMMENT '邮件服务器SMTP地址',
+    `pass` varchar(255) DEFAULT NULL COMMENT '密码',
+    `port` varchar(255) DEFAULT NULL COMMENT '端口',
+    `user` varchar(255) DEFAULT NULL COMMENT '发件者用户名',
+    PRIMARY KEY (`config_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='邮箱配置';
 
 -- ----------------------------
 -- Table structure for tool_local_storage
 -- ----------------------------
 DROP TABLE IF EXISTS `tool_local_storage`;
 CREATE TABLE `tool_local_storage` (
-  `storage_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `real_name` varchar(255) DEFAULT NULL COMMENT '文件真实的名称',
-  `name` varchar(255) DEFAULT NULL COMMENT '文件名',
-  `suffix` varchar(255) DEFAULT NULL COMMENT '后缀',
-  `path` varchar(255) DEFAULT NULL COMMENT '路径',
-  `type` varchar(255) DEFAULT NULL COMMENT '类型',
-  `size` varchar(100) DEFAULT NULL COMMENT '大小',
-  `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
-  `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
-  `create_time` datetime DEFAULT NULL COMMENT '创建日期',
-  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
-  PRIMARY KEY (`storage_id`) USING BTREE
-) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='本地存储';
+    `storage_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `real_name` varchar(255) DEFAULT NULL COMMENT '文件真实的名称',
+    `name` varchar(255) DEFAULT NULL COMMENT '文件名',
+    `suffix` varchar(255) DEFAULT NULL COMMENT '后缀',
+    `path` varchar(255) DEFAULT NULL COMMENT '路径',
+    `type` varchar(255) DEFAULT NULL COMMENT '类型',
+    `size` varchar(100) DEFAULT NULL COMMENT '大小',
+    `create_by` varchar(255) DEFAULT NULL COMMENT '创建者',
+    `update_by` varchar(255) DEFAULT NULL COMMENT '更新者',
+    `create_time` datetime DEFAULT NULL COMMENT '创建日期',
+    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
+    PRIMARY KEY (`storage_id`) USING BTREE
+    ) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='本地存储';
 
 -- ----------------------------
 -- Records of tool_local_storage
@@ -789,32 +789,32 @@ COMMIT;
 -- ----------------------------
 DROP TABLE IF EXISTS `tool_qiniu_config`;
 CREATE TABLE `tool_qiniu_config` (
-  `config_id` bigint(20) NOT NULL COMMENT 'ID',
-  `access_key` text DEFAULT NULL COMMENT 'accessKey',
-  `bucket` varchar(255) DEFAULT NULL COMMENT 'Bucket 识别符',
-  `host` varchar(255) NOT NULL COMMENT '外链域名',
-  `secret_key` text DEFAULT NULL COMMENT 'secretKey',
-  `type` varchar(255) DEFAULT NULL COMMENT '空间类型',
-  `zone` varchar(255) DEFAULT NULL COMMENT '机房',
-  PRIMARY KEY (`config_id`) USING BTREE
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='七牛云配置';
+    `config_id` bigint NOT NULL COMMENT 'ID',
+    `access_key` text DEFAULT NULL COMMENT 'accessKey',
+    `bucket` varchar(255) DEFAULT NULL COMMENT 'Bucket 识别符',
+    `host` varchar(255) NOT NULL COMMENT '外链域名',
+    `secret_key` text DEFAULT NULL COMMENT 'secretKey',
+    `type` varchar(255) DEFAULT NULL COMMENT '空间类型',
+    `zone` varchar(255) DEFAULT NULL COMMENT '机房',
+    PRIMARY KEY (`config_id`) USING BTREE
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='七牛云配置';
 
 -- ----------------------------
 -- Table structure for tool_qiniu_content
 -- ----------------------------
 DROP TABLE IF EXISTS `tool_qiniu_content`;
 CREATE TABLE `tool_qiniu_content` (
-  `content_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
-  `bucket` varchar(255) DEFAULT NULL COMMENT 'Bucket 识别符',
-  `name` varchar(255) DEFAULT NULL COMMENT '文件名称',
-  `size` varchar(255) DEFAULT NULL COMMENT '文件大小',
-  `type` varchar(255) DEFAULT NULL COMMENT '文件类型：私有或公开',
-  `url` varchar(255) DEFAULT NULL COMMENT '文件url',
-  `suffix` varchar(255) DEFAULT NULL COMMENT '文件后缀',
-  `update_time` datetime DEFAULT NULL COMMENT '上传或同步的时间',
-  PRIMARY KEY (`content_id`) USING BTREE,
-  UNIQUE KEY `uniq_name` (`name`)
-) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='七牛云文件存储';
+    `content_id` bigint NOT NULL AUTO_INCREMENT COMMENT 'ID',
+    `bucket` varchar(255) DEFAULT NULL COMMENT 'Bucket 识别符',
+    `name` varchar(255) DEFAULT NULL COMMENT '文件名称',
+    `size` varchar(255) DEFAULT NULL COMMENT '文件大小',
+    `type` varchar(255) DEFAULT NULL COMMENT '文件类型：私有或公开',
+    `url` varchar(255) DEFAULT NULL COMMENT '文件url',
+    `suffix` varchar(255) DEFAULT NULL COMMENT '文件后缀',
+    `update_time` datetime DEFAULT NULL COMMENT '上传或同步的时间',
+    PRIMARY KEY (`content_id`) USING BTREE,
+    UNIQUE KEY `uniq_name` (`name`)
+    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='七牛云文件存储';
 
 -- ----------------------------
 -- Records of tool_qiniu_content
